Skip to content
Possible Error Responses

Possible Error Responses

cysmo® may respond differently than you expect if certain expectations are not met. In these cases you will not receive the documented 2xx status response and not the documented response body but a error response which should help you resolve the issue.

Wherever possible our error responses follow the RFC 9457 Problem Details specifications:

{
  "type": "https://developer.cysmo.de/api/v3/errors#ResourceNotFound",
  "status": 404,
  "title": "a concise human readable error message",
  "detail": "optional. more details on what went wrong right now",
  "additionalField": "there might be additional fields for each error"
}

The type field will be of the format https://developer.cysmo.de/api/v3/errors#ErrorType, where ErrorType is one of the following options. Although we don’t plan on moving the documentation website, we generally recommend parsing only on the part after the #.

RequestValidationFailed

Status: 400

The request you sent did not match the syntax expected by the endpoint. Please have a close look at the documentation of that endpoint in our OpenAPI Specification .

The detail field should give you more information on which data fields are incorrect. It is not intended for machine parsing though.

Unauthorized

Status: 401

You sent a request without a valid Authorization header. This could mean:

  • It was missing completely
  • The token is not a valid token from our login server
  • The token is expired

Please re-authenticate and try again.

Forbidden

Status: 403

You do not have the correct permissions for what you tried to do. See the detail field for more information.

Contact cysmo® support if you think you should have these permissions.

ResourceNotFound

Status: 404

The resource you tried to retrieve is not available. This could be temporary or permanent, depending on the business context.

BenchmarkNotAvailable

Status: 404

We can currently not supply a meaningful cysmo® score benchmark for the requested industry or turnover range. This is usually due to small sample size and may change at a later date.

ResourceConflict

Status: 409

The resource creation or update you tried conflicts with an existing resource. This can happen for example if you try to generate a new export or report and have not downloaded an existing one for the same scope.

See the additional field conflictingResource for a link to the resource that causes this conflict.

DownloadInProgress

Status: 409

Another client has already started downloading this file.

After that client finishes, the content is deleted from our servers. There is no way to resolve this issue other than canceling the running download or re-requesting the content after download is finished.

UnprocessableCompany

Status: 422

The company you tried to create (or update) did not meet our plausibility checks and has been denied. This is usually the case if your scanTargetDomains included www. or other subdomain prefixes. Usually you do not want to scan only parts of a company’s infrastructure. Please remove the unneeded prefixes.

You may also use the ?acceptSubdomains=true query parameter to work around the problem. Please note though, that www. will always be rejected.

TooManyRequests

Status: 429

You have been throttled by our firewall. Please reduce your request frequency.

TooManyHighPriorityRatings

Status: 429

You have reached the maximum amount of running ratings with priority > LOW. For batch processing you should always use the LOW priority queue.

Note that creating and updating companies may trigger a NORMAL priority re-rating if not explicitly overridden to LOW. See our OpenAPI Specification for more details

InternalServerError

Status: 500

Something went wrong on our end. We are sorry for that!

If the issue persists, please contact cysmo® support with the following details:

  • What did you try to do?
  • What request did you just send?
  • What is the correlationId in your error response?

We will try to figure things out ASAP.